Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

修改许可证

PUT /accounts/{account_id}/core/v1/licenses/{license_id}

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

副作用

  • 重新计算授权以添加或合并通过 Entitlement API 可见的许可证授权。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

license_id

string

path

True

要列出的许可证集合的 ID

请求正文

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

副作用

  • 重新计算授权以添加或合并通过 Entitlement API 可见的许可证授权。

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-license"

version

string

True

资源的版本。定义的值为:

  • "1.0"

id

string

False

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

分配

string

False

包含指示许可证分配对象的 ID 的 JSON 字符串。仅在分配许可证时存在。对于 Astra Control Center 许可证,此字段必须填写帐户 ID,并且必须与 POST URI 中指定的帐户 ID 匹配。定义的值为:

  • 符合 Astra 标识符架构

hostID

string

False

包含许可证绑定到的主机标识符的 JSON 字符串。仅在许可证处于主机锁定状态时存在。定义的值是:

  • 最小长度:1

  • 最大长度:63

设备凭证 ID

string

False

包含与凭据 API 关联的 deviceCredential 标识符的 JSON 字符串。仅适用于 Astra Data Store 许可证。定义的值为:

  • 符合 Astra 标识符架构

isEvaluation

string

False

表示许可证是否为评估许可证的 JSON 字符串。定义的值为:

  • "true"

  • "false"

licenseProtocol

string

False

包含从许可证中提取的许可证协议的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

licenseText

string

False

包含从 NetApp 许可证系统获取的许可证 JSON 的 base64 编码表示的 JSON 字符串。必须以原始字节级别顺序提供以进行签名验证。定义的值为:

  • 符合 base64 编码数据架构

validFromTimestamp

string

False

包含指示许可证何时生效的时间戳的 JSON 字符串。定义的值为:

  • 符合 ISO-8601 日期时间方案

validUntilTimestamp

string

False

包含指示许可证何时不再有效的时间戳的 JSON 字符串。定义的值是:

  • 符合 ISO-8601 日期时间方案

产品

string

False

包含从许可证中提取的产品字符串的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

productVersion

string

False

包含从许可证中提取的版本字符串的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

产品 SN

string

False

包含从许可证中提取的序列号字符串的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

features

string

False

包含从许可证中提取的包值的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

容量

string

False

包含从许可证中提取的容量的 JSON 字符串。

capacity2

string

False

包含从许可证中提取的辅助容量的 JSON 字符串。

插件

数组["插件"]

False

包含许可证中附加组件列表的 JSON 对象的 JSON 数组。附加组件是指在未来可能发生的许可证变更。

元数据

"type_astra_metadata_update"

False

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

请求示例
{
  "type": "application/astra-license",
  "version": "1.0",
  "allocation": "4185d09b-6687-4801-a832-c005a9d94f41",
  "licenseText": "ewogICAic3RhdHVzUmVzcCI6ewogMTYwNzAwIgp9"
}

响应

Status: 204, Indicates if the license resource was updated.

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 409, Conflict
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/10",
  "title": "JSON resource conflict",
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/1",
  "title": "Resource not found",
  "detail": "The resource specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

插件

名称 Type Required Description

startDate

string

False

包含指示此附加组件何时生效的时间戳的 JSON 字符串。定义的值为:

  • 符合 ISO-8601 日期时间方案

endDate

string

False

包含时间戳的 JSON 字符串,指示此附加组件何时不再有效。定义的值是:

  • 符合 ISO-8601 日期时间方案

features

string

False

包含与此加载项关联的功能列表的 JSON 字符串。定义的值为:

  • 架构未验证字符串内容。

容量

string

False

包含从加载项提取的容量的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

licenseProtocol

string

False

包含与此附加组件关联的许可协议的 JSON 字符串。定义的值为:

  • 架构未验证的字符串内容

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因

invalidFields

名称 Type Required Description

name

string

True

无效请求正文字段的名称

原因

string

True

请求正文字段无效的原因